Topic: PHP-7.0.14 and Memcached-3.0.0 issues error using Session handler.

Hi,

I often use Memcached as Session saving handler, but i've update to these versions:

php-7.0.14-1.el7.remi.x86_64
php-pecl-memcached-3.0.0-0.1.20160217git6ace07d.el7.remi.7.0.x86_64

and my code fails, the error message are:

"PHP Fatal error:  session_start(): Failed to create session ID: memcached (path: localhost:11212, localhost:11211)"

I've googled and found that was a bug you can see at https://github.com/php-memcached-dev/ph … issues/199
It seems the bug is fixed, but the versión of php-pecl-memcached package still have the bug.

How can i get an updated versión of this package?


Hosting Server: CentOS 7.2 x86_64 + EPEL + remi + remi-php70

Re: PHP-7.0.14 and Memcached-3.0.0 issues error using Session handler.

Please understand that there is no official release of this extension, so package is only a snapshot to facilitate migration to PHP 7.

Current version is,indeed, quite old (20160217).

I just build a newer package (20161207), should be in mirror near you very soon (or you can download it from php-pecl-memcached).

Feedback welcome.



BTW libmemcached, used by this extension, seems a dead project sad

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 24 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.8 x86_64 + EPEL + remi + remi-php70

Re: PHP-7.0.14 and Memcached-3.0.0 issues error using Session handler.

First at all, thanks a lot for you quickly answer. And I know that there is no official release.

I just have installed the new package, and I yet get the error, so I will try to do some kind of "work around". And if i have enough time i will try to get a core dump in order to debug what actually is the problem, and as for help to developers of php-pecl-memcached.

I would like to give thanks to you again, since your work with those repositories are a great help to me.

and... regards libmemcached, it's look pretty bad :-(